<?php
class GRrhh{    

  public function __construct(){
	}


    public function listar(){
      return "SELECT e.id_empleado as id, no_apepat as noApepat, no_apemat as noApemat, no_empleado as noEmpleado , e.id_tipo_documento as idTipoDocumento, 
      no_tipo_documento as noTipoDocumento, nu_documento as nuDocumento ,cod_cuspp as codCuspp,a.id_area as idArea, no_area as noArea , c.id_cargo as idCargo,
      no_cargo as noCargo, e.id_estado_civil as idEstadoCivil , e.id_sexo as idSexo, no_sexo as noSexo, fe_nacimiento as feNacimiento , no_direccion as noDireccion , no_ref_direccion as noRefDireccion,
      id_ubigeo as idUbigeo, nu_celular as nuCelular , nu_telefono as nuTelefono, no_correo as noCorreo, fe_ingreso as feIngreso, fe_cese as feCese
      FROM tb_empleado AS e 
      INNER JOIN tc_area AS a ON a.id_area = e.id_area
      INNER JOIN tc_sexo AS s ON s.id_sexo = e.id_sexo
      INNER JOIN tc_cargo AS c ON c.id_cargo = e.id_cargo
      INNER JOIN tc_tipo_documento AS td ON e.id_tipo_documento = td.id_tipo_documento";
    }

    public function agregar(){
      return "INSERT INTO `tb_empleado`(
        `no_empleado`, `no_apepat`, `no_apemat`, `id_tipo_documento`, `id_area`, `id_cargo`, `cod_cuspp`, `nu_documento`, `id_estado_civil`, `id_sexo`, `fe_nacimiento`, `no_direccion`, `no_ref_direccion`, `id_ubigeo`, `nu_celular`, `nu_telefono`, `no_correo`, `fe_registro`,  `fe_ingreso`, `fe_cese`,  `id_empleado`) VALUES ( ?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,NOW(),?,?,?)";
    }

    public function actualizar(){
      return "UPDATE `tb_empleado` SET `no_empleado` = ?, `no_apepat`= ?, `no_apemat`= ?, `id_tipo_documento`= ?, `id_area`= ?, `id_cargo`= ?, `cod_cuspp`= ?, `nu_documento`= ?, `id_estado_civil`= ?, `id_sexo`= ?, `fe_nacimiento`= ?, `no_direccion`= ?, `no_ref_direccion`= ?, `id_ubigeo`= ?, `nu_celular`= ?, `nu_telefono`= ?, `no_correo`= ?, `fe_ingreso`= ?, `fe_cese`= ? WHERE  `id_empleado` = ?";
    }

    public function eliminar(){
      return "DELETE FROM tb_empleado WHERE id_empleado = ?";
    }

    public function listarTipoDocumento(){
      return "SELECT id_tipo_documento as id, no_tipo_documento as noTipoDocumento FROM tc_tipo_documento ";
    } 

    public function listarTipoEstadoCivil(){
      return "SELECT id_estado_civil as id, no_estado_civil as noEstadoCivil FROM tc_estado_civil ";
    } 

    public function listarTipoSexo(){
      return "SELECT id_sexo as id, no_sexo as noSexo FROM tc_sexo ";
    } 

    public function listarCargo(){
      return "SELECT id_cargo as id , no_cargo as noCargo FROM tc_cargo WHERE id_area = ?";
  }   
  

}
?>